Draft Etiquette

From FreeCAD Documentation
Revision as of 10:40, 9 November 2019 by David69 (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎Türkçe
Arrow-left.svg Page précédente: Draft CubicBezCurve.svg Courbe de Bézier
Page suivante: Déplacer Draft Move.svg Arrow-right.svg

Draft Label.svg Etiquette Draft

Emplacement du menu
Draft → Etiquette
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
D L
Introduit dans la version
0.17
Voir aussi
Draft Texte, Draft Formes à partir texte


Description

L'outil Label (Étiquette) insère une zone de texte multi-ligne avec une ligne de repère à 2 segments et une flèche. Si un objet ou un sous-élément (face, arête ou sommet) est sélectionné lors du lancement de la commande, l'étiquette peut afficher un certain attribut de l'élément sélectionné, notamment la position, la longueur, la surface, le volume ou le matériau.

Pour insérer un élément de texte plus simple sans flèche, utilisez Texte Draft. Pour créer des formes de texte solides, utilisez Formes à partir texte Draft avec Extrusion Part.

Draft Label example.jpg

Différentes étiquettes avec des orientations différentes, des symboles d'extrémités et des informations


Utilisation

  1. Appuyez sur le bouton Draft Label.png Etiquette Draft, ou appuyez sur les touches D et L.
  2. Cliquez sur un premier point de la vue 3D ou tapez une coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. Ce point indique la cible (tête de flèche). Cela peut être n'importe où, il n'est pas nécessaire que ce soit un élément.
  3. Cliquez sur un deuxième point de la vue 3D ou tapez une coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. Ce point indique le début d'une ligne de repère horizontale ou verticale.
  4. Cliquez sur un troisième point de la vue 3D ou tapez une coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. Ce point indique le point de base du texte.

Note: la direction du segment de droite horizontal, à droite ou à gauche, alignera automatiquement le texte dans la direction opposée. Si le texte passe verticalement vers le haut, le texte est aligné à gauche. s'il descend verticalement, il est aligné à droite.

Note 2: en présélectionnant un objet ou un sous-élément (sommet, arête ou face), avant d'appuyer sur le bouton d'outil, l'étiquette devient paramétrique, c'est-à-dire qu'elle se souviendra de l'objet auquel elle est liée et qu'elle pourra afficher un attribut particulier de cet objet. Si les attributs de l'objet changent ultérieurement, l'étiquette ajustera les informations affichées.

Options

  • Cliquez sur Type d'étiquette pour sélectionner le type d'informations à afficher, notamment "Personnalisé", "Nom", "Etiquette", "Position", "Longueur", "Surface", "Volume", "Tag" et "Matériau".
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Maintenez la touche Ctrl enfoncée tout en plaçant l’étiquette pour forcer l'accrochage de votre point au point d’accrochage le plus proche, indépendamment de la distance.
  • Appuyez sur Esc ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Données

  • DONNÉESType d'étiquette: spécifie le type d'information indiqué par cette étiquette (voir ci-dessous).
  • DONNÉESTexte personnalisé: spécifie le bloc de texte à afficher lorsque DONNÉESType d'étiquette est défini sur "Personnalisé" ou si l'étiquette n'est pas paramétrique. Le texte est donné sous forme de liste de chaînes; chaque élément de la liste, séparé par une virgule, indique une nouvelle ligne de texte.
  • DONNÉESTexte: (en lecture seule) indique le texte actuel affiché par l'étiquette, en fonction du DONNÉESType d'étiquette.
  • DONNÉESPoint visé: spécifie la position de la pointe de la ligne de repère.
  • DONNÉESDirection partie droite: spécifie la direction du segment de droite du repère, horizontal ou vertical.
  • DONNÉESLongueur partie droite: spécifie la longueur du segment de droite du repère, à partir du point de base du texte. Si la distance est positive, le texte commence par le côté droit du texte et s'aligne à droite. sinon, le texte commence par le côté gauche du texte et le texte s'aligne à gauche.
  • DONNÉESPosition: spécifie le point de base de la première ligne du bloc de texte; cela influence également la façon dont la ligne de repère est dessinée.
  • DONNÉESAngle: spécifie la rotation de la ligne de base de la première ligne du bloc de texte. cela influence également la façon dont la ligne de repère est dessinée, car elle ne sera plus horizontale ni verticale.
  • DONNÉESAxe: spécifie l'axe à utiliser pour la rotation.

Types d'étiquettes

  • Custom: affiche le contenu de DONNÉESTexte personnalisé.
  • Name: affiche le nom interne de l'objet cible; le nom interne est attribué à l'objet au moment de sa création et reste fixe tout au long de son existence.
  • Label: affiche l'étiquette de l'objet cible. l'étiquette de l'objet peut être modifiée à tout moment par l'utilisateur.
  • Position: affiche les coordonnées du point de base de l'objet cible, du sommet cible ou du centre de masse du sous-élément cible, le cas échéant.
  • Length: affiche la longueur du sous-élément cible, le cas échéant.
  • Area: affiche la zone du sous-élément cible, le cas échéant.
  • Volume: affiche le volume de l'objet cible, le cas échéant.
  • Tag: affiche l'attribut Tag de l'objet cible, si l'objet a cette propriété, par exemple, les objets créés avec Arch.
  • Material: affiche l'étiquette du matériau de l'objet cible, si celui-ci possède une telle propriété.

Vue

  • VUEPolice: spécifie la police à utiliser pour dessiner le texte. Il peut s'agir d'un nom de police, tel que "Arial", d'un style par défaut tel que "sans", "serif" ou "mono", d'une famille telle que "Arial, Helvetica, sans" ou d'un nom avec un style tel que " Arial: "Gras". Si la police donnée n'est pas trouvée sur le système, une police générique est utilisée à la place.
  • VUETaille du texte: spécifie la taille du texte. Si l'objet étiquette est créé dans la vue arborescente mais qu'aucun texte n'est visible dans la vue 3D, augmentez la taille du texte jusqu'à ce qu'il soit visible.
  • VUEAlignement du texte: spécifie l'alignement vertical de la ligne de base du texte par rapport au texte principal. Cela peut être haut, milieu ou bas.
  • VUECouleur du texte: spécifie la couleur du texte dans un tuple RVB (R, V, B).
  • VUELargeur de ligne: spécifie la largeur de la ligne de repère.
  • VUECouleur de ligne: spécifie la couleur de la ligne de repère.
  • VUETaille de la flèche: spécifie la taille du symbole affiché à l'extrémité de la ligne de repère.
  • VUEType de flèche: spécifie le type de symbole affiché à l'extrémité de la ligne de repère, qui peut être un point, un cercle, une flèche ou une coche.
  • VUECadre: s'il s'agit d'un "Rectangle", il tracera un cadre autour du texte.
  • VUELigne: s'il s'agit de True, la ligne de repère sera affichée. sinon, seuls le texte et le symbole au sommet seront affichés.
  • VUEMode d'affichage: s'il s'agit d'un "texte 3D", le texte sera aligné sur les axes de la scène, initialement situé sur le plan XY; s'il s'agit d'un "texte 2D", le texte sera toujours face à la caméra.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Label peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
  • Crée un objet Label, la ligne de repère pointant sur targetpoint et un lien vers l'objet cible qui doit être un DocumentObject ({ {emphasis | Editor:}} ou un SelectionObject? Ce n'est pas clair).
  • direction est "Horizontal", "Vertical", ou "Custom".
  • distance est la distance entre le point de base du texte et la ligne de repère.
  • labeltype est l'un des "Custom", "Name", "Label", "Position", "Length", "Area", "Volume", "Tag", ou "Material".
  • Si un placement est donné, il est utilisé pour le point de base du texte; sinon le texte est créé à l'origine.

Modifiez le texte personnalisé en remplaçant l'attribut CustomText. Une liste de chaînes peut être utilisée; chaque élément sera affiché dans sa propre ligne.

Les propriétés de vue de Label peuvent être modifiées en remplaçant ses attributs. Par exemple, écrasez ViewObject.TextSize avec la nouvelle taille en millimètres.

Exemple:

import FreeCAD, Draft

Rectangle = Draft.makeRectangle(4000, 1000)

p1 = FreeCAD.Vector(-200, 1000, 0)
place1 = FreeCAD.Placement(FreeCAD.Vector(-1000, 1300, 0), FreeCAD.Rotation())

Label1 = Draft.makeLabel(p1, Rectangle, "Horizontal", 500, "Label", place1)
Label1.ViewObject.TextSize = 200

p2 = FreeCAD.Vector(-200, 0, 0)
place2 = FreeCAD.Placement(FreeCAD.Vector(-1000, -300, 0), FreeCAD.Rotation())

Label2 = Draft.makeLabel(p2, Rectangle, "Horizontal", 500, "Custom", place2)
Label2.CustomText = ["Beware of the", "sharp edges"]
Label2.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()

p3 = FreeCAD.Vector(1000, 1200, 0)
place3 = FreeCAD.Placement(FreeCAD.Vector(2000, 1800, 0), FreeCAD.Rotation())

Label3 = Draft.makeLabel(p3, Rectangle, "Horizontal", -500, "Area", place3)
Label3.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft CubicBezCurve.svg Courbe de Bézier
Page suivante: Déplacer Draft Move.svg Arrow-right.svg